Subject: bug#46841: [PATCH] Make package downloading in inversion.el obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Mar 2021 14:00:36 +0100

Stefan Kangas <[email-masked]> writes:

> There is some code to download packages in cedet/inversion.el which
> seems completely redundant now that we have package.el.  I suggest
> marking that part as obsolete, see the attached patch.
>
> To be honest, I don't exactly see that there is any need for
> inversion.el since the problem it tries to solve is already solved by
> package.el.  Perhaps we should just move the entire library to
> obsolete/.

Utility functions like `inversion-package-version' are used in the rest
of CEDET, though?  (I just did a quick grep, but didn't actually read
the call sites.)

But, yes, the download bits don't seem very useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no